import { Plugin } from 'vite';

interface Options {
    /**
     * layouts dir
     * @default "src/layouts"
     */
    target?: string;
    /**
     * default layout
     * @default "default"
     */
    defaultLayout?: string;
    /**
     * default auto resolve
     */
    importMode?: "sync" | "async";
    /**
     * If opened, fix →
     * https://github.com/JohnCampionJr/vite-plugin-vue-layouts/issues/134
     * @default false
     */
    skipTopLevelRouteLayout?: boolean;
    /**
     * excludes path
     */
    excludes?: string[];
}
declare function MetaLayouts(options?: Partial<Options>): Plugin;

export { type Options, MetaLayouts as default };
